Package com.avaya.clientservices.contact.fields

## Class ContactIMAddressField

- java.lang.Object
- - com.avaya.clientservices.contact.fields.ContactField
  - - com.avaya.clientservices.contact.fields.ContactIMAddressField

- All Implemented Interfaces:
    `BaseContactField`
  Direct Known Subclasses:
    `EditableContactIMAddressField`

      public class ContactIMAddressField
      extends ContactField

  Contact field which is storing IM address values and inherits the meta data description of the field.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `java.lang.String` | `getIMAddress()` | The IM Address.
    `java.lang.String` | `getSubType()` | The IM Address sub type.
    `java.lang.String` | `getType()` | The IM Address type.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.avaya.clientservices.contact.fields.ContactField

      `getCapability, getContactProviderSourceType, setContactProviderSourceType`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getIMAddress

          public java.lang.String getIMAddress()

      The IM Address.
      Returns:
        String containing the IM Address.

    - #### getType

          public java.lang.String getType()

      The IM Address type.
      Returns:
        String containing the IM Address type.

    - #### getSubType

          public java.lang.String getSubType()

      The IM Address sub type.
      Returns:
        String containing the IM Address sub type.

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `ContactField`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ContactField`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ContactField`